## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.commonui
Class ParametersRowData

    java.lang.Object
      org.eclipse.datatools.sqltools.common.core.tableviewer.RowData
          org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.commonui.ParametersRowData

All Implemented Interfaces:
  java.lang.Cloneable, org.eclipse.datatools.sqltools.common.core.tableviewer.IRowData

    public class ParametersRowData

extends org.eclipse.datatools.sqltools.common.core.tableviewer.RowData

Author:
  Hui Cao

Field Summary

Fields inherited from class org.eclipse.datatools.sqltools.common.core.tableviewer.RowData
`STATE_DELETED, STATE_INSERTED, STATE_ORIGINAL, STATE_UPDATED`

Constructor Summary
`ParametersRowData()`
`ParametersRowData(org.eclipse.datatools.sqltools.common.core.tableviewer.ITableData table, int type, java.lang.Object[] data)`

Method Summary
`SybaseParameter` `getParameter()`
`boolean` `isValid()`
`void` `setParameter(SybaseParameter parameter)`
`void` `setValid(boolean valid)`
`void` `updateValueWithoutNotification(int col, java.lang.Object value)` update the value of given column, but don't notify the listeners

Methods inherited from class org.eclipse.datatools.sqltools.common.core.tableviewer.RowData
`clone, getState, getTableData, getValue, resetToOriginal, revertToOriginal, save, setState, setTableData, updateValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParametersRowData

    public ParametersRowData()

### ParametersRowData

    public ParametersRowData(org.eclipse.datatools.sqltools.common.core.tableviewer.ITableData table,
                             int type,
                             java.lang.Object[] data)

Method Detail

### updateValueWithoutNotification

    public void updateValueWithoutNotification(int col,
                                               java.lang.Object value)

  update the value of given column, but don't notify the listeners

  Overrides:
    `updateValueWithoutNotification` in class `org.eclipse.datatools.sqltools.common.core.tableviewer.RowData`
  Parameters:
    `col` -
    `value` -

### getParameter

    public SybaseParameter getParameter()

### setParameter

    public void setParameter(SybaseParameter parameter)

### isValid

    public boolean isValid()

### setValid

    public void setValid(boolean valid)